### Enumeration

# Gio FilesystemPreviewType

since: 2.0

#### Declaration

    enum Gio.FilesystemPreviewType

#### Description

Indicates a hint from the file system whether files should be previewed in a file manager. Returned as the value of the key `G_FILE_ATTRIBUTE_FILESYSTEM_USE_PREVIEW`.

Available since: 2.0

#### Members

`G_FILESYSTEM_PREVIEW_TYPE_IF_ALWAYS`

  Only preview files if user has explicitly requested it.

  - Value: `0`
  - Nickname: `if-always`
  - Available since: 2.0
`G_FILESYSTEM_PREVIEW_TYPE_IF_LOCAL`

  Preview files if user has requested preview of “local” files.

  - Value: `1`
  - Nickname: `if-local`
  - Available since: 2.0
`G_FILESYSTEM_PREVIEW_TYPE_NEVER`

  Never preview files.

  - Value: `2`
  - Nickname: `never`
  - Available since: 2.0